function cb_splitMM_Callback( hObject, eventdata, handles )


        % -------------------------------------------------------
        setValTag('cb_joinMaps',0)         % set join Maps to 0
        % -------------------------------------------------------
        % get the selected mapset from the BackendHandle 
%         selMapSet      = handles.hBackend.mapData{getValTag('pm_mapSet')};
        % -------------------------------------------------------

        % -------------------------------------------------------
        if hObject.Value == 1

%             set(findobj('Tag','sl_selMultimap'),...
%                     'enable','on',...
%                     'max', noOfMaps,...
%                     'SliderStep',  [1/(noOfMaps-1) , 1/(noOfMaps-1) ],... 
%                     'Value',1); 
            
%             handles.sl_selMultimap = uicontrol(hCtrlPan,...
%                     'Style','slider',...
%                     'min', 1,...
%                     'max', noOfMaps,...
%                     'SliderStep',  [1/(noOfMaps-1) , 1/(noOfMaps-1) ],... 
%                     'Units','Pixel',...
%                     'Tag','sl_selMultimap',...
%                     'Position',[390 120 120 20],...
%                     'FontSize',12,...
%                     'String',['Multimap selector' ],...
%                     'Value',1,...
%                     'CallBack',{@sl_selMultimap_Callback, handles} ); 
         
            a = getValTag('sl_selMultimap');
            b = get(findobj('Tag','sl_selMultimap'),'Max');

            setStrTag('txt_MMno',[ num2str(a) ' of ' num2str(b) ]);    
                
%             handles.txt_MMno = uicontrol(hCtrlPan,...
%                     'Style', 'text',...
%                     'Position',[520 123 80 20],...
%                     'String',['GS: '  num2str(1) ' of ' num2str(noOfMaps) ],...             
%                     'FontSize',13,...
%                     'HorizontalAlignment','left',...
%                     'Tag',['txt_MMno']); 

            % inialise the JOIN maps cb 
            tagEnable('cb_joinMaps')
                            
%         else
%             oldSL = findobj('Tag',['sl_selMultimap']);
%             delete(oldSL)
%             oldSL = findobj('Tag',['txt_MMno']);
%             delete(oldSL)            
        end
        % -------------------------------------------------------
%         handles = updateViewer( handles );
        % -------------------------------------------------------
        % Update handles structure
        guidata(hObject, handles);              % NEEDED to READ/UPDATE new handles structure !!  (e.g. lastDir)
        % -------------------------------------------------------
  




end

